Interface Endpoint

All Superinterfaces:
Api
All Known Subinterfaces:
BlobstoreRestEndpoint, ConfigEndpoint, ConfigLayerResourceEndpoint, ConfigResourceEndpoint, ConfigSubscriptionEndpoint, ConfigSubscriptionResourceEndpoint, endpoints.StreamEndpoint, HyperMediaEndpoint, MetadataEndpoint, MetadataHyperEndpoint, ObjectStoreKeyEndpoint, ObjectStoreMultipartEndpoint, QueryEndpoint, RestEndpoint
All Known Implementing Classes:
BlobExists, CancelPublication, CheckSubscriptionExists, ClosePublication, CompleteUpload, CreateCatalog, CreateSubscription, DeleteCatalog, DeleteChanges, DeleteFeatures, DeleteIndexBlob, DeleteIndexes, DeleteIndexesStatus, DeleteLayer, DeleteSubscription, DeleteVolatileBlob, DisableAutomaticVersionDeletion, endpoints.Commit, endpoints.Consume, endpoints.Subscribe, endpoints.Unsubscribe, GetArtifactFile, GetBlob, GetChanges, GetChangesById, GetChangesParts, GetChangesStatistics, GetCompatibleVersions, GetConfiguration, GetConfigurationHref, GetFeatureCollectionByBbox, GetFeatureCollectionByIds, GetFeatureCollectionByIterate, GetFeatureCollectionBySearchParam, GetFeatureCollectionBySpatialSearchCircle, GetFeatureCollectionBySpatialSearchFeature, GetFeatureCollectionBySpatialSearchGeometry, GetFeatureCollectionByTile, GetIMLStatistics, GetKafkaSettings, GetLatestVersion, GetLayerVersions, GetMinimumVersion, GetNextPageOfVersions, GetNextPageOfVolatileChanges, GetPartitionsParts, GetPublication, GetRangeVersionChanges, GetSchema, GetSpecificVersionChanges, GetStatus, GetSubscription, GetSubscriptionStatus, GetSubset, GetSubsets, GetSubsetsFingerprint, GetUploadStatus, GetVersions, GetVolatileBlob, GetVolatileChanges, GetVolatileChangesById, HasConfiguration, Indexes, ListCatalogs, ListSubscriptions, ObjectStoreCompleteMultipartUpload, ObjectStoreCopyBlob, ObjectStoreDeleteBlob, ObjectStoreGetBlob, ObjectStoreGetMultipartUpload, ObjectStoreHeadBlob, ObjectStoreListKeys, ObjectStoreMultipartCopyPart, ObjectStoreMultipartUploadPart, ObjectStorePutBlob, ObjectStoreStartMultipartUpload, OpenPublication, Parts, PatchFeature, PostFeatureCollection, PostFeatureModifications, PutBlob, PutFeature, PutFeatureCollection, PutVolatileBlob, Query, QueryPartitions, QueryPartitionsById, SetMinimumVersion, StartMultipartUpload, UpdateCatalog, UpdateIndexes, UpdateLayer, UpdateTtlVolatileBlob, UploadPartitions, UploadPublicationPartitions, UploadSinglePart, VolatileBlobExists

public interface Endpoint extends Api
  • Method Summary

    Modifier and Type
    Method
    Description
    scala.collection.immutable.Set<org.apache.pekko.http.scaladsl.model.StatusCode>
     
    boolean
    Force to read all response body in memory inside retried block, this is used when simple responses return chunked data that can cause Truncation exception when parsed.
    scala.collection.immutable.Seq<org.apache.pekko.http.scaladsl.model.HttpHeader>
    Note: when change it always check all conflicts/replacements that can happens by base and child classes
    scala.Option<org.apache.pekko.http.scaladsl.model.RequestEntity>
     
    boolean
     
    scala.concurrent.duration.FiniteDuration
     
    org.apache.pekko.http.scaladsl.model.HttpMethod
     
    scala.concurrent.duration.FiniteDuration
     
    scala.collection.immutable.Set<org.apache.pekko.http.scaladsl.model.StatusCode>
     
    scala.concurrent.duration.FiniteDuration
     

    Methods inherited from interface com.here.platform.data.client.http.Api

    apiType
  • Method Details

    • acceptableNonSuccessStatusCodes

      scala.collection.immutable.Set<org.apache.pekko.http.scaladsl.model.StatusCode> acceptableNonSuccessStatusCodes()
    • forceStrict

      boolean forceStrict()
      Force to read all response body in memory inside retried block, this is used when simple responses return chunked data that can cause Truncation exception when parsed.

      TODO: can become !isStreamingRequest, but need some heavy test to see the memory impact

    • headers

      scala.collection.immutable.Seq<org.apache.pekko.http.scaladsl.model.HttpHeader> headers()
      Note: when change it always check all conflicts/replacements that can happens by base and child classes
    • httpEntity

      scala.Option<org.apache.pekko.http.scaladsl.model.RequestEntity> httpEntity()
    • isStreamingRequest

      boolean isStreamingRequest()
    • maxWaitingTimeBetweenRetries

      scala.concurrent.duration.FiniteDuration maxWaitingTimeBetweenRetries(RetryPolicyType retryPolicyType)
    • method

      org.apache.pekko.http.scaladsl.model.HttpMethod method()
    • perRequestTimeout

      scala.concurrent.duration.FiniteDuration perRequestTimeout(RetryPolicyType retryPolicyType)
    • retriableHttpStatusCodes

      scala.collection.immutable.Set<org.apache.pekko.http.scaladsl.model.StatusCode> retriableHttpStatusCodes()
    • retriesDeadline

      scala.concurrent.duration.FiniteDuration retriesDeadline(RetryPolicyType retryPolicyType)